# I3DShTimeManager Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DShTimeManager:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | SetTime (MicroTick time)=0
virtual MicroTick MCCOMAPI | GetTime ()=0
virtual MCCOMErr MCCOMAPI | SetAllocatedTime (MicroTick time)=0
virtual MicroTick MCCOMAPI | GetAllocatedTime ()=0
virtual MCCOMErr MCCOMAPI | Read (IShTokenStream *stream)=0
virtual MCCOMErr MCCOMAPI | Write (IShTokenStream *stream)=0
virtual boolean MCCOMAPI | EnableEventCreator (boolean enable)=0

## Detailed Description

The time manager stores the current time and the allocated time.

## Member Function Documentation

virtual boolean MCCOMAPI I3DShTimeManager::EnableEventCreator | ( | boolean | enable | ) | `[pure virtual]`

Undocumented.

virtual MicroTick MCCOMAPI I3DShTimeManager::GetAllocatedTime | ( |  | ) | `[pure virtual]`

Returns the allocated time in MicroTicks.

virtual MicroTick MCCOMAPI I3DShTimeManager::GetTime | ( |  | ) | `[pure virtual]`

Returns the current time in MicroTicks. Use kTicksPerSecond to convert in seconds.

virtual MCCOMErr MCCOMAPI I3DShTimeManager::Read | ( | IShTokenStream * | stream | ) | `[pure virtual]`

Reads a time manager.

Parameters:

  | stream | The stream from which we read.

virtual MCCOMErr MCCOMAPI I3DShTimeManager::SetAllocatedTime | ( | MicroTick | time | ) | `[pure virtual]`

Sets the allocated time.

Parameters:

  | time | The current time in MicroTicks. Use kTicksPerSecond to convert in seconds.

virtual MCCOMErr MCCOMAPI I3DShTimeManager::SetTime | ( | MicroTick | time | ) | `[pure virtual]`

Set the current time.

Parameters:

  | time | The current time in MicroTicks. Use kTicksPerSecond to convert in seconds.

virtual MCCOMErr MCCOMAPI I3DShTimeManager::Write | ( | IShTokenStream * | stream | ) | `[pure virtual]`

Write a time manger.

Parameters:

  | stream | The stream to which we write.

The documentation for this struct was generated from the following file:

- I3dShAnimation.h